remove smplayer live ebuild
authordweezil <bram.aelvoet@gmail.com>
Mon, 28 Jan 2019 20:00:55 +0000 (21:00 +0100)
committerdweezil <bram.aelvoet@gmail.com>
Mon, 28 Jan 2019 20:00:55 +0000 (21:00 +0100)
media-video/smplayer/Manifest [deleted file]
media-video/smplayer/files/smplayer-14.9.0-zero-bidi.patch [deleted file]
media-video/smplayer/files/smplayer-14.9.0.6690-zero-bidi.patch [deleted file]
media-video/smplayer/files/smplayer-14.9.0.6966-unbundle-qtsingleapplication.patch [deleted file]
media-video/smplayer/smplayer-9999.ebuild [deleted file]

diff --git a/media-video/smplayer/Manifest b/media-video/smplayer/Manifest
deleted file mode 100644 (file)
index b23aa4d..0000000
+++ /dev/null
@@ -1,4 +0,0 @@
-AUX smplayer-14.9.0-zero-bidi.patch 870 SHA256 2512d52581ba20980ea3451b318a573f6dc7c501243db177758bed40552a5cf7 SHA512 20a57ce4ee4e1d515ca4109662d8247a5d9910152c9aabfee1a4fd3d697fa5b481dfaa17bbba0465accda79f16480de432761c19fbb5f1043821045f61cd6c2b WHIRLPOOL 48c626d95dc05225e2a1cee1d22da1ca5929fb2aecdbb538865b064af849d9859797e917e34e0bab56b36cb49d9c0705981b7e6b11130a16265bbd2c8405c029
-AUX smplayer-14.9.0.6690-zero-bidi.patch 410 SHA256 b1dc553f744fdbeddbdf3cc250122785e61b48a35b318426ad6c367b06e0d653 SHA512 0498e2519fbaf5f217e0ae7b47660f26e5a25a99aa8500c6e82716540d348d679628d061552e75afbf70dbe38e5ce3a433c553119d1ab8180e6fe7d9640433e7 WHIRLPOOL 87890c3052910b83af8e0f6273a951f82fd7b1904dcadeba7565dc9dd3c30659564cf09fa693541592c358971e7bf9bb5071986fa3190569034137129cb4becd
-AUX smplayer-14.9.0.6966-unbundle-qtsingleapplication.patch 566 SHA256 98b2691eac48a50fe851366f225a7a1017ac3769f9478639bf292bb9c45142db SHA512 9c757a1eaca358c9fb712801c0a17d084ea9dd3be26dd43f9b2c83bf39d2bbe4b458ba9432aba9e76cb83b56fb698a2976951be2074acfaa787cbfbed2a54fa9 WHIRLPOOL fe60ee7fd20ab4cc3c9286295163413c8e798bcae6c25930b501094c25545235cf92aae9d50f4f9694bb0ed5c47ae9d8a1c9ba776f180c23c6bbe3ac3f3a00a2
-EBUILD smplayer-9999.ebuild 3863 SHA256 5e20f88d9de72effe849a9085e297816dded9a2131ea172fcb76d09fb18ac007 SHA512 3eae1c594d9614246683a33cbb82520ff761355109d51b9d995eb3e111b08a04863779f11755c98d01455824d6b590577da3f74f258f64cad3a1d027ebcfc93b WHIRLPOOL 7c22dc5062cdaddd13675bd159690a6a0625c028c9e95d3e180737fced225b15ac3c0f1d86cfe0093df8cf85edf2b31fa6197b7e2594e3eccb1d94814a6977d5
diff --git a/media-video/smplayer/files/smplayer-14.9.0-zero-bidi.patch b/media-video/smplayer/files/smplayer-14.9.0-zero-bidi.patch
deleted file mode 100644 (file)
index a484432..0000000
+++ /dev/null
@@ -1,27 +0,0 @@
-From 79a41ed3f12749df4a3a82f73e33aabeafa1a32f Mon Sep 17 00:00:00 2001
-From: Sebastian Pipping <sebastian@pipping.org>
-Date: Tue, 7 Oct 2014 21:15:43 +0200
-Subject: [PATCH] Support mplayer 1.x without FriBiDi support
-
----
- src/core.cpp | 4 ----
- 1 file changed, 4 deletions(-)
-
-diff --git a/src/core.cpp b/src/core.cpp
-index ef6f806..f5dfceb 100644
---- a/src/core.cpp
-+++ b/src/core.cpp
-@@ -1819,10 +1819,6 @@ void Core::startMplayer( QString file, double seek ) {
-               proc->addArgument( "-ass-font-scale");
-               proc->addArgument( QString::number(mset.sub_scale_ass) );
--              if (!pref->mplayer_is_mplayer2) {
--                      proc->addArgument( "-noflip-hebrew" ); // It seems to be necessary to display arabic subtitles correctly when using -ass
--              }
--
-               if (!pref->force_ass_styles) {
-                       // Load the styles.ass file
-                       if (!QFile::exists(Paths::subtitleStyleFile())) {
--- 
-2.1.1
-
diff --git a/media-video/smplayer/files/smplayer-14.9.0.6690-zero-bidi.patch b/media-video/smplayer/files/smplayer-14.9.0.6690-zero-bidi.patch
deleted file mode 100644 (file)
index 650dcd7..0000000
+++ /dev/null
@@ -1,13 +0,0 @@
---- a/src/core.cpp
-+++ b/src/core.cpp
-@@ -1811,10 +1811,6 @@
-               proc->setOption("ass-font-scale", QString::number(mset.sub_scale_ass));
--              if (!pref->mplayer_is_mplayer2) {
--                      proc->setOption("flip-hebrew",false); // It seems to be necessary to display arabic subtitles correctly when using -ass
--              }
--
-               if (pref->enable_ass_styles) {
-                       if (!pref->force_ass_styles) {
-                               // Load the styles.ass file
diff --git a/media-video/smplayer/files/smplayer-14.9.0.6966-unbundle-qtsingleapplication.patch b/media-video/smplayer/files/smplayer-14.9.0.6966-unbundle-qtsingleapplication.patch
deleted file mode 100644 (file)
index e7fca64..0000000
+++ /dev/null
@@ -1,15 +0,0 @@
---- smplayer-14.9.0.6966.orig/src/smplayer.pro 2015-04-18 10:11:32.000000000 +0800
-+++ smplayer-14.9.0.6966/src/smplayer.pro      2015-07-01 13:18:39.283850646 +0800
-@@ -285,11 +285,7 @@
- # qtsingleapplication
- contains( DEFINES, SINGLE_INSTANCE ) {
--      INCLUDEPATH += qtsingleapplication
--      DEPENDPATH += qtsingleapplication
--
--      SOURCES += qtsingleapplication/qtsingleapplication.cpp qtsingleapplication/qtlocalpeer.cpp
--      HEADERS += qtsingleapplication/qtsingleapplication.h qtsingleapplication/qtlocalpeer.h
-+      CONFIG += qtsingleapplication
- }
- # Find subtitles dialog
diff --git a/media-video/smplayer/smplayer-9999.ebuild b/media-video/smplayer/smplayer-9999.ebuild
deleted file mode 100644 (file)
index 28dda00..0000000
+++ /dev/null
@@ -1,144 +0,0 @@
-# Copyright 1999-2016 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Id$
-
-EAPI=6
-
-PLOCALES="am ar ar_SY bg ca cs da de el_GR en_GB en_US es et eu fa fi fr gl he_IL hr 
-       hu id it ja ka ko ku lt mk ms_MY nl nn_NO pl pt pt_BR ro_RO ru_RU sk sl_SI 
-       sq_AL sr sv th tr uk_UA uz vi_VN zh_CN zh_TW"
-PLOCALE_BACKUP="en_US"
-inherit l10n qmake-utils subversion
-
-DESCRIPTION="Great Qt GUI front-end for mplayer/mpv"
-HOMEPAGE="http://smplayer.info/"
-ESVN_REPO_URI="https://subversion.assembla.com/svn/smplayer/smplayer/trunk"
-
-LICENSE="GPL-2+ BSD-2"
-SLOT="0"
-KEYWORDS="~amd64 ~arm ~hppa ~ppc ~ppc64 ~x86 ~x86-fbsd ~amd64-linux"
-IUSE="autoshutdown bidi debug mpris +qt4 qt5 streaming"
-
-REQUIRED_USE="^^ ( qt4 qt5 )"
-
-COMMON_DEPEND="
-       sys-libs/zlib
-       qt4? (
-               dev-qt/qtcore:4
-               dev-qt/qtgui:4
-               dev-qt/qtsingleapplication[X,qt4]
-               autoshutdown? ( dev-qt/qtdbus:4 )
-               mpris? ( dev-qt/qtdbus:4 )
-               streaming? ( dev-qt/qtcore:4[ssl] )
-       )
-       qt5? (
-               dev-qt/qtcore:5
-               dev-qt/qtgui:5
-               dev-qt/qtnetwork:5
-               >=dev-qt/qtsingleapplication-2.6.1_p20150629[X,qt5]
-               dev-qt/qtwidgets:5
-               dev-qt/qtxml:5
-               autoshutdown? ( dev-qt/qtdbus:5 )
-               mpris? ( dev-qt/qtdbus:5 )
-               streaming? (
-                       dev-qt/qtnetwork:5[ssl]
-                       dev-qt/qtscript:5
-               )
-       )
-"
-DEPEND="${COMMON_DEPEND}
-       qt5? ( dev-qt/linguist-tools:5 )
-"
-RDEPEND="${COMMON_DEPEND}
-       || (
-               media-video/mplayer[bidi?,libass,png,X]
-               (
-                       >=media-video/mpv-0.6.2[libass,X]
-                       streaming? ( >=net-misc/youtube-dl-2014.11.26 )
-               )
-       )
-"
-
-src_prepare() {
-       default
-
-       eapply "${FILESDIR}"/${PN}-14.9.0.6966-unbundle-qtsingleapplication.patch # bug 487544
-       #use bidi || eapply "${FILESDIR}"/${PN}-14.9.0.6690-zero-bidi.patch
-
-       # Upstream Makefile sucks
-       sed -i -e "/^PREFIX=/s:${EPREFIX}/usr/local:${EPREFIX}/usr:" \
-               -e "/^DOC_PATH=/s:packages/smplayer:${PF}:" \
-               -e '/\.\/get_svn_revision\.sh/,+2c\
-       cd src && $(DEFS) $(MAKE)' \
-               "${S}"/Makefile || die "sed failed"
-
-       # Toggle autoshutdown option which pulls in dbus, bug #524392
-       if ! use autoshutdown ; then
-               sed -e 's:DEFINES += AUTO_SHUTDOWN_PC:#DEFINES += AUTO_SHUTDOWN_PC:' \
-                       -i "${S}"/src/smplayer.pro || die "sed failed"
-       fi
-
-       # Turn debug message flooding off
-       if ! use debug ; then
-               sed -i 's:#\(DEFINES += NO_DEBUG_ON_CONSOLE\):\1:' \
-                       "${S}"/src/smplayer.pro || die "sed failed"
-       fi
-
-       # MPRIS2 pulls in dbus, bug #553710
-       if ! use mpris ; then
-               sed -e 's:DEFINES += MPRIS2:#DEFINES += MPRIS2:' \
-                       -i "${S}"/src/smplayer.pro || die "sed failed"
-       fi
-
-       # Turn off online update checker, bug #479902
-       sed -e 's:DEFINES += UPDATE_CHECKER:#DEFINES += UPDATE_CHECKER:' \
-               -e 's:DEFINES += CHECK_UPGRADED:#DEFINES += CHECK_UPGRADED:' \
-               -i "${S}"/src/smplayer.pro || die "sed failed"
-
-       # Turn off nasty share widget
-       sed -e 's:DEFINES += SHAREWIDGET:#DEFINES += SHAREWIDGET:' \
-               -i "${S}"/src/smplayer.pro || die "sed failed"
-
-       # Turn off youtube support (which pulls in extra dependencies) if unwanted
-       if ! use streaming ; then
-               sed -e 's:DEFINES += YOUTUBE_SUPPORT:#DEFINES += YOUTUBE_SUPPORT:' \
-               -i "${S}"/src/smplayer.pro || die "sed failed"
-       fi
-
-       l10n_find_plocales_changes "${S}/src/translations" "${PN}_" '.ts'
-}
-
-src_configure() {
-       pushd src > /dev/null || die
-       echo "#define SVN_REVISION \"${PV} (Gentoo)\"" > svn_revision.h
-       use qt4 && eqmake4
-       use qt5 && eqmake5
-       popd > /dev/null || die
-}
-
-gen_translation() {
-       local mydir
-       if use qt4; then
-               mydir="$(qt4_get_bindir)"
-       elif use qt5; then
-               mydir="$(qt5_get_bindir)"
-       fi
-       ebegin "Generating $1 translation"
-       "${mydir}"/lrelease ${PN}_${1}.ts
-       eend $? || die "failed to generate $1 translation"
-}
-
-src_compile() {
-       emake
-
-       cd "${S}"/src/translations
-       l10n_for_each_locale_do gen_translation
-}
-
-src_install() {
-       # remove unneeded copies of licenses
-       rm Copying* docs/{cs,en,hu,it,ja,ru,zh_CN}/gpl.html || die
-       rm -r docs/{de,es,fr,nl,ro} || die
-
-       emake DESTDIR="${D}" install
-}